devhelp-devel-2.28.1-6.el6.i686.rpm


Advertisement

Description

devhelp-devel - Library to embed Devhelp in other applications

Property Value
Distribution CentOS 6
Repository CentOS x86_64
Package filename devhelp-devel-2.28.1-6.el6.i686.rpm
Package name devhelp-devel
Package version 2.28.1
Package release 6.el6
Package architecture i686
Package type rpm
Category Development/Libraries
Homepage http://developer.imendio.com/projects/devhelp
License GPLv2+
Maintainer -
Download size 17.93 KB
Installed size 19.94 KB
Devhelp is an API documentation browser for the GNOME desktop.
This package contains a library that can be used for embedding devhelp
into other applications such as IDEs.

Alternatives

Package Version Architecture Repository
devhelp-devel-2.28.1-6.el6.i686.rpm 2.28.1 i686 CentOS
devhelp-devel-2.28.1-6.el6.x86_64.rpm 2.28.1 x86_64 CentOS
devhelp-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
WebKit-gtk-devel -
devhelp = 2.28.1-6.el6
gtk2-devel >= 2.10.0
libdevhelp-1.so.1 -
libwnck-devel >= 2.10.0
pkgconfig -
pkgconfig(gtk+-2.0) -
pkgconfig(libwnck-1.0) -
pkgconfig(webkit-1.0) -

Provides

Name Value
devhelp-devel = 2.28.1-6.el6
devhelp-devel(x86-32) = 2.28.1-6.el6
pkgconfig(libdevhelp-1.0) = 2.28.1

Download

Type URL
Mirror mirror.centos.org
Binary Package devhelp-devel-2.28.1-6.el6.i686.rpm
Source Package devhelp-2.28.1-6.el6.src.rpm

Install Howto

Install devhelp-devel rpm package:

# yum install devhelp-devel

Files

Path
/usr/include/devhelp-1.0/
/usr/include/devhelp-1.0/devhelp/dh-assistant-view.h
/usr/include/devhelp-1.0/devhelp/dh-assistant.h
/usr/include/devhelp-1.0/devhelp/dh-base.h
/usr/include/devhelp-1.0/devhelp/dh-book-tree.h
/usr/include/devhelp-1.0/devhelp/dh-error.h
/usr/include/devhelp-1.0/devhelp/dh-keyword-model.h
/usr/include/devhelp-1.0/devhelp/dh-link.h
/usr/include/devhelp-1.0/devhelp/dh-search.h
/usr/include/devhelp-1.0/devhelp/dh-window.h
/usr/lib/libdevhelp-1.so
/usr/lib/pkgconfig/libdevhelp-1.0.pc

Changelog

2014-09-05 - Matthew Barnes <mbarnes@redhat.com> - 2.28.1-6
- Enable deprecated GLib/GTK+ symbols since Devhelp uses some of them
since the GLib rebase. Apps should not be shipping with these build
flags anyway.
- Resolves: rhbz#1136304
2014-06-20 - Tomas Popela <tpopela@redhat.com> - 2.28.1-5
- Rebuild against new webkitgtk
- Resolves: rhbz#1101401
2014-06-20 - Tomas Popela <tpopela@redhat.com> - 2.28.1-4
- Rebuild against new webkitgtk
- Resolves: rhbz#1101401
2010-01-12 - Matthias Clasen <mclasen@redhat.com> - 2.28.1-3
- Fix BuildRequires
2009-12-02 - Matthew Barnes <mbarnes@redhat.com> - 2.28.1-2
- Add patch for RH bug #543177 (missing webkit-1.0 requirement).
2009-10-19 - Matthias Clasen <mclasen@redhat.com> - 2.28.1-1
- Update to 2.28.1
2009-09-21 - Matthias Clasen <mclasen@redhat.com> - 2.28.0-1
- Update to 2.28.0
2009-09-07 - Matthias Clasen <mclasen@redhat.com> - 2.27.92-1
- Update to 2.27.92
2009-08-21 - Matthew Barnes <mbarnes@redhat.com> - 0.23.1-2
- Remove patch for GNOME bug #572022 to help fix RH bug #518481.
2009-08-12 - Matthew Barnes <mbarnes@redhat.com> - 0.23.1-1
- Update to 0.23.1
- Remove patch for GNOME bug #588655 (fixed upstream).

See Also

Package Description
device-mapper-1.02.117-12.el6_9.1.x86_64.rpm Device mapper utility
device-mapper-devel-1.02.117-12.el6_9.1.i686.rpm Development libraries and headers for device-mapper
device-mapper-devel-1.02.117-12.el6_9.1.x86_64.rpm Development libraries and headers for device-mapper
device-mapper-event-1.02.117-12.el6_9.1.x86_64.rpm Device-mapper event daemon
device-mapper-event-devel-1.02.117-12.el6_9.1.i686.rpm Development libraries and headers for the device-mapper event daemon
device-mapper-event-devel-1.02.117-12.el6_9.1.x86_64.rpm Development libraries and headers for the device-mapper event daemon
device-mapper-event-libs-1.02.117-12.el6_9.1.i686.rpm Device-mapper event daemon shared library
device-mapper-event-libs-1.02.117-12.el6_9.1.x86_64.rpm Device-mapper event daemon shared library
device-mapper-libs-1.02.117-12.el6_9.1.i686.rpm Device-mapper shared library
device-mapper-libs-1.02.117-12.el6_9.1.x86_64.rpm Device-mapper shared library
device-mapper-multipath-0.4.9-106.el6.x86_64.rpm Tools to manage multipath devices using device-mapper
device-mapper-multipath-libs-0.4.9-106.el6.i686.rpm The device-mapper-multipath modules and shared library
device-mapper-multipath-libs-0.4.9-106.el6.x86_64.rpm The device-mapper-multipath modules and shared library
device-mapper-persistent-data-0.6.2-0.2.rc7.el6.x86_64.rpm Device-mapper Persistent Data Tools
dhclient-4.1.1-60.P1.el6.centos.x86_64.rpm Provides the dhclient ISC DHCP client daemon and dhclient-script
Advertisement
Advertisement